"
 COPYRIGHT (c) 1992 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Link subclass:#ValueLink
	instanceVariableNames:'value'
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Support'
!

!ValueLink class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1992 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    this class provides Links which can hold a value.
    Instances are typically used as elements in a linkedList.

    [see also:]
        LinkedList
        Collection OrderedCollection

    [author:]
        Claus Gittinger
"
! !

!ValueLink methodsFor:'accessing'!

value
    "return the Links contents"

    ^ value
!

value:anObject
    "set the Links contents"

    value := anObject
! !

!ValueLink class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/Attic/ValLink.st,v 1.12 1996-04-25 16:16:15 cg Exp $'
! !
